package hmggirlfront;

import gvclib.LoadAttachmentStausBase;
import hmggirlfront.items.ItemDollAttachment;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;
import objmodel.AdvancedModelLoader;

public class GFItemAttachmentRegistry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		{
			mod.dollam_horo	= new ItemDollAttachment().setUnlocalizedName("dollam_horo").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_horo").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_horo;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_horo.mqo"));
		    	}
		    	am.obj_model_string = "dollam_horo.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_horo.png";
		    	am.zoom = 1.2F;
				am.x = 0F;
				am.y = 0.325F;
				am.z = 0F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_horo);
		}
		{
			mod.dollam_dotsight	= new ItemDollAttachment().setUnlocalizedName("dollam_dotsight").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_dotsight").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_dotsight;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_compm4.mqo"));
		    	}
		    	am.obj_model_string = "dollam_compm4.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_compm4.png";
		    	am.zoom = 1.2F;
				am.x = 0F;
				am.y = 0.35F;
				am.z = 0F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_dotsight);
		}
		{
			mod.dollam_acog	= new ItemDollAttachment().setUnlocalizedName("dollam_acog").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_acog").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_acog;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_acog.mqo"));
		    	}
		    	am.obj_model_string = "dollam_acog.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_acog.png";
		    	am.zoom = 3.0F;
				am.x = 0F;
				am.y = 0.35F;
				am.z = 0F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_acog);
		}
		{
			mod.dollam_scope	= new ItemDollAttachment().setUnlocalizedName("dollam_scope").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_scope").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_scope;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_scope.mqo"));
		    	}
		    	am.obj_model_string = "dollam_scope.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_scope.png";
		    	am.ads_tex = "hmggirlfront:textures/misc/scope.png";
		    	am.zoomrender = false;
		    	am.zoomrendertex = true;
		    	am.zoom = 6F;
				am.x = 0F;
				am.y = 0.325F;
				am.z = 0F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_scope);
		}
		{
			mod.dollam_micro	= new ItemDollAttachment().setUnlocalizedName("dollam_micro").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_micro").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_micro;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_micro.mqo"));
		    	}
		    	am.obj_model_string = "dollam_micro.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_micro.png";
		    	am.zoom = 1.2F;
				am.x = 0F;
				am.y = 0.15F;
				am.z = 0F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_micro);
		}
		{
			mod.dollam_coyote	= new ItemDollAttachment().setUnlocalizedName("dollam_coyote").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_coyote").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_coyote;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_coyote.mqo"));
		    	}
		    	am.obj_model_string = "dollam_coyote.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_coyote.png";
		    	am.zoom = 1.2F;
				am.x = 0F;
				am.y = 0.325F;
				am.z = 0F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_coyote);
		}
		{
			mod.dollam_kobra	= new ItemDollAttachment().setUnlocalizedName("dollam_kobra").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_kobra").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_kobra;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_kobra.mqo"));
		    	}
		    	am.obj_model_string = "dollam_kobra.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_kobra.png";
		    	am.zoom = 1.2F;
				am.x = 0F;
				am.y = 0.35F;
				am.z = 0F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_kobra);
		}
		
		{
			mod.dollam_lasersight	= new ItemDollAttachment().setUnlocalizedName("dollam_lasersight").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_lasersight").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_lasersight;
		    	am.objtrue = true;
		    	am.id = 102;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_lasersight.mqo"));
		    	}
		    	am.obj_model_string = "dollam_lasersight.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_lasersight.png";
		    	am.colorlevel[0] = 0.4F;
		    	am.colorlevel[1] = 0.2F;
		    	am.light_kazu = 2;
		    	LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_lasersight);
		}
		
		{
			mod.dollam_suppressor	= new ItemDollAttachment().setUnlocalizedName("dollam_suppressor").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_suppressor").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_suppressor;
		    	am.objtrue = true;
		    	am.id = 8;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_suppressor.mqo"));
		    	}
		    	am.obj_model_string = "dollam_suppressor.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_suppressor.png";
		    	LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_suppressor);
		}
		
		{
			mod.dollam_grip	= new ItemDollAttachment().setUnlocalizedName("dollam_grip").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_grip").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_grip;
		    	am.objtrue = true;
		    	am.id = 9;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_grip.mqo"));
		    	}
		    	am.obj_model_string = "dollam_grip.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_grip.png";
		    	am.recoil = 0.8;
				am.recoil_ads = 0.8;
				am.bure = 0.8F;
				am.bure_ads = 0.8F;
				
				am.grip_gripping_point = true;
				am.grip_gripping_point_x = 0;
				am.grip_gripping_point_y = -0.80F;
				am.grip_gripping_point_z = 0;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_grip);
		}
		{
			mod.dollam_anglegrip	= new ItemDollAttachment().setUnlocalizedName("dollam_anglegrip").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_anglegrip").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_anglegrip;
		    	am.objtrue = true;
		    	am.id = 9;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_anglegrip.mqo"));
		    	}
		    	am.obj_model_string = "dollam_anglegrip.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_anglegrip.png";
		    	am.recoil = 0.5;
				am.recoil_ads = 1;
				am.bure = 0.5F;
				am.bure_ads = 1F;
				
				am.grip_gripping_point = true;
				am.grip_gripping_point_x = 0;
				am.grip_gripping_point_y = -0.7F;
				am.grip_gripping_point_z = -0.3F;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_anglegrip);
		}
		{
			mod.dollam_bipod	= new ItemDollAttachment().setUnlocalizedName("dollam_bipod").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_bipod").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bipod;
		    	am.objtrue = true;
		    	am.id = 9;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_bipod.mqo"));
		    	}
		    	am.obj_model_string = "dollam_bipod.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_bipod.png";
		    	am.recoil = 1.0;
				am.recoil_ads = 0.1;
				am.bure = 1.3F;
				am.bure_ads = 0.5F;
				am.grip_gripping_point = false;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_bipod);
		}
		{
			mod.dollam_gripod	= new ItemDollAttachment().setUnlocalizedName("dollam_gripod").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_gripod").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_gripod;
		    	am.objtrue = true;
		    	am.id = 9;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_gripod.mqo"));
		    	}
		    	am.obj_model_string = "dollam_gripod.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_gripod.png";
		    	am.recoil = 0.8;
				am.recoil_ads = 0.2;
				am.bure = 0.9F;
				am.bure_ads = 0.6F;
				
				am.grip_gripping_point = true;
				am.grip_gripping_point_x = 0;
				am.grip_gripping_point_y = -0.825F;
				am.grip_gripping_point_z = 0;
				LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_gripod);
		}
		
		{
			mod.dollam_m1903onlyscope	= new ItemDollAttachment().setUnlocalizedName("dollam_m1903onlyscope").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_m1903onlyscope").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_m1903onlyscope;
		    	am.objtrue = false;
		    	am.id = 5;
		    	//am.designated_kazu = 1;
		    	am.designated_attachment_name = "m1903scope";
			}
		    event.getRegistry().register(mod.dollam_m1903onlyscope);
		}
		
		
		
		{
			mod.dollam_an_peq15	= new ItemDollAttachment().setUnlocalizedName("dollam_an_peq15").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_an_peq15").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_an_peq15;
		    	am.objtrue = true;
		    	am.id = 102;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_an_peq15.mqo"));
		    	}
		    	am.obj_model_string = "dollam_an_peq15.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_an_peq15.png";
		    	am.colorlevel[0] = 0.4F;
		    	am.light_kazu = 1;
		    	//am.designated_attachment_name = "hk";
		    	LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_an_peq15);
		}
		{
			mod.dollam_eot_exps3	= new ItemDollAttachment().setUnlocalizedName("dollam_eot_exps3").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_eot_exps3").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_eot_exps3;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_eot_exps3.mqo"));
		    	}
		    	am.obj_model_string = "dollam_eot_exps3.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_eot_exps3.png";
		    	am.zoom = 1.2F;
				am.x = 0F;
				am.y = 0.54F;
				am.z = 0F;
		    	//am.designated_attachment_name = "hk";
		    	LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_eot_exps3);
		}
		{
			mod.dollam_eot_exps3_416	= new ItemDollAttachment().setUnlocalizedName("dollam_eot_exps3_416").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_eot_exps3_416").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_eot_exps3_416;
		    	am.objtrue = true;
		    	am.id = 101;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_eot_exps3_416.mqo"));
		    	}
		    	am.obj_model_string = "dollam_eot_exps3_416.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_eot_exps3_416.png";
		    	am.zoom = 2.0F;
				am.x = 0F;
				am.y = 0.54F;
				am.z = 0F;
		    	am.designated_attachment_name = "416";
		    	LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_eot_exps3_416);
		}
		{
			mod.dollam_lam_unit	= new ItemDollAttachment().setUnlocalizedName("dollam_lam_unit").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_lam_unit").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_lam_unit;
		    	am.objtrue = true;
		    	am.id = 102;
		    	if (mod.proxy.getClient()) {
		    		
		    		am.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/model/attachment/dollam_lam_unit.mqo"));
		    	}
		    	am.obj_model_string = "dollam_lam_unit.mqo";
		    	am.obj_tex = "hmggirlfront:textures/model/attachment/dollam_lam_unit.png";
		    	am.colorlevel[0] = 0.4F;
		    	am.colorlevel[1] = 0.2F;
		    	am.light_kazu = 2;
		    	am.designated_attachment_name = "mk23";
		    	LoadAttachmentStausBase.load(am, event);
			}
		    event.getRegistry().register(mod.dollam_lam_unit);
		}
		
		{
			mod.dollam_oss_silencer	= new ItemDollAttachment().setUnlocalizedName("dollam_oss_silencer").setMaxStackSize(64)
					.setRegistryName(mod.MOD_ID, "dollam_oss_silencer").setCreativeTab(mod.tabgg_am);
		    {
		    	ItemDollAttachment am = (ItemDollAttachment) mod.dollam_oss_silencer;
		    	am.objtrue = false;
		    	am.id = 8;
		    	//am.designated_kazu = 1;
		    	am.designated_attachment_name = "oss_silencer";
			}
		    event.getRegistry().register(mod.dollam_oss_silencer);
		}
		
		
		
		
		
		{
			mod.dollam_bullet_ap	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_ap").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_ap");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_ap;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 0.5F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bulletid = 1;
				am.bullet_name = "AP";
			}
			event.getRegistry().register(mod.dollam_bullet_ap);
		}
		{
			mod.dollam_bullet_hv	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_hv").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_hv");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_hv;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.25F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bullet_name = "HV";
			}
			event.getRegistry().register(mod.dollam_bullet_hv);
		}
		
		{
			mod.dollam_bullet_ap2	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_ap2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_ap2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_ap2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 0.75F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bulletid = 1;
				am.bullet_name = "AP";
			}
			event.getRegistry().register(mod.dollam_bullet_ap2);
		}
		{
			mod.dollam_bullet_hv2	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_hv2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_hv2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_hv2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.5F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bullet_name = "HV";
			}
			event.getRegistry().register(mod.dollam_bullet_hv2);
		}
		
		{
			mod.dollam_bullet_ap3	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_ap3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_ap3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_ap3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.0F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bulletid = 1;
				am.bullet_name = "AP";
			}
			event.getRegistry().register(mod.dollam_bullet_ap3);
		}
		{
			mod.dollam_bullet_hv3	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_hv3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_hv3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_hv3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 2.0F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bullet_name = "HV";
			}
			event.getRegistry().register(mod.dollam_bullet_hv3);
		}
		
		{
			mod.dollam_bullet_hp	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_hp").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_hp");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_hp;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.25F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bulletid = 0;
				am.bure = 1.25F;
				am.bure_ads = 1.25F;
				am.bullet_name = "HP";
			}
			event.getRegistry().register(mod.dollam_bullet_hp);
		}
		{
			mod.dollam_bullet_hp2	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_hp2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_hp2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_hp2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.5F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bulletid = 0;
				am.bure = 1.25F;
				am.bure_ads = 1.25F;
				am.bullet_name = "HP";
			}
			event.getRegistry().register(mod.dollam_bullet_hp2);
		}
		{
			mod.dollam_bullet_hp3	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_hp3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_hp3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_hp3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.75F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bulletid = 0;
				am.bure = 1.25F;
				am.bure_ads = 1.25F;
				am.bullet_name = "HP";
			}
			event.getRegistry().register(mod.dollam_bullet_hp3);
		}
		
		
		{
			mod.dollam_bullet_backshot	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_backshot").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_backshot");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_backshot;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 2.00F;
				am.pellet = 8;
				am.exlevel = 0;
				am.bure = 0.8F;
				am.bure_ads = 0.8F;
				am.bullet_name = "BuckShot";
			}
			event.getRegistry().register(mod.dollam_bullet_backshot);
		}
		{
			mod.dollam_bullet_backshot2	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_backshot2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_backshot2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_backshot2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 2.50F;
				am.pellet = 8;
				am.exlevel = 0;
				am.bure = 0.8F;
				am.bure_ads = 0.8F;
				am.bullet_name = "BuckShot";
			}
			event.getRegistry().register(mod.dollam_bullet_backshot2);
		}
		{
			mod.dollam_bullet_backshot3	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_backshot3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_backshot3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_backshot3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 3.00F;
				am.pellet = 8;
				am.exlevel = 0;
				am.bure = 0.8F;
				am.bure_ads = 0.8F;
				am.bullet_name = "BuckShot";
			}
			event.getRegistry().register(mod.dollam_bullet_backshot3);
		}
		{
			mod.dollam_bullet_srag	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_srag").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_srag");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_srag;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 12.00F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bure = 0.25F;
				am.bure_ads = 0.25F;
				am.bullet_name = "Srag";
			}
			event.getRegistry().register(mod.dollam_bullet_srag);
		}
		{
			mod.dollam_bullet_srag2	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_srag2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_srag2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_srag2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 14.00F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bure = 0.25F;
				am.bure_ads = 0.25F;
				am.bullet_name = "Srag";
			}
			event.getRegistry().register(mod.dollam_bullet_srag2);
		}
		{
			mod.dollam_bullet_srag3	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_srag3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_srag3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_srag3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 18.00F;
				am.pellet = 1;
				am.exlevel = 0;
				am.bure = 0.25F;
				am.bure_ads = 0.25F;
				am.bullet_name = "Srag";
			}
			event.getRegistry().register(mod.dollam_bullet_srag3);
		}
		{
			mod.dollam_bullet_frag	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_frag").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_frag");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_frag;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.5F;
				am.pellet = 1;
				am.exlevel = 1.25F;
				am.bure = 0.25F;
				am.bure_ads = 0.25F;
				am.bullet_name = "Frag";
			}
			event.getRegistry().register(mod.dollam_bullet_frag);
		}
		{
			mod.dollam_bullet_frag2	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_frag2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_frag2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_frag2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 1.8F;
				am.pellet = 1;
				am.exlevel = 1.9F;
				am.bure = 0.25F;
				am.bure_ads = 0.25F;
				am.bullet_name = "Frag";
			}
			event.getRegistry().register(mod.dollam_bullet_frag2);
		}
		{
			mod.dollam_bullet_frag3	= new ItemDollAttachment().setUnlocalizedName("dollam_bullet_frag3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bullet_frag3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bullet_frag3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 50;
				am.power = 2.0F;
				am.pellet = 1;
				am.exlevel = 2.5F;
				am.bure = 0.25F;
				am.bure_ads = 0.25F;
				am.bullet_name = "Frag";
			}
			event.getRegistry().register(mod.dollam_bullet_frag3);
		}
		
		
		
		
		{
			mod.dollam_frame_m	= new ItemDollAttachment().setUnlocalizedName("dollam_frame_m").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_frame_m");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_frame_m;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 80;
				am.doll_evasion = 0;
				am.doll_bure = 0.5F;
			}
			event.getRegistry().register(mod.dollam_frame_m);
		}
		{
			mod.dollam_frame_x	= new ItemDollAttachment().setUnlocalizedName("dollam_frame_x").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_frame_x");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_frame_x;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 80;
				am.doll_evasion = 5;
				am.doll_bure = 1F;
			}
			event.getRegistry().register(mod.dollam_frame_x);
		}
		
		{
			mod.dollam_frame_m2	= new ItemDollAttachment().setUnlocalizedName("dollam_frame_m2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_frame_m2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_frame_m2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 80;
				am.doll_evasion = 0;
				am.doll_bure = 0.35F;
			}
			event.getRegistry().register(mod.dollam_frame_m2);
		}
		{
			mod.dollam_frame_x2	= new ItemDollAttachment().setUnlocalizedName("dollam_frame_x2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_frame_x2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_frame_x2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 80;
				am.doll_evasion = 10;
				am.doll_bure = 1F;
			}
			event.getRegistry().register(mod.dollam_frame_x2);
		}
		
		{
			mod.dollam_frame_m3	= new ItemDollAttachment().setUnlocalizedName("dollam_frame_m3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_frame_m3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_frame_m3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 80;
				am.doll_evasion = 0;
				am.doll_bure = 0.15F;
			}
			event.getRegistry().register(mod.dollam_frame_m3);
		}
		{
			mod.dollam_frame_x3	= new ItemDollAttachment().setUnlocalizedName("dollam_frame_x3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_frame_x3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_frame_x3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 80;
				am.doll_evasion = 20;
				am.doll_bure = 1F;
			}
			event.getRegistry().register(mod.dollam_frame_x3);
		}
		{
			mod.dollam_bodyarmor	= new ItemDollAttachment().setUnlocalizedName("dollam_bodyarmor").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bodyarmor");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bodyarmor;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 81;
				am.doll_armor = 3;
			}
			event.getRegistry().register(mod.dollam_bodyarmor);
		}
		{
			mod.dollam_bodyarmor2	= new ItemDollAttachment().setUnlocalizedName("dollam_bodyarmor2").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bodyarmor2");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bodyarmor2;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 81;
				am.doll_armor = 5;
			}
			event.getRegistry().register(mod.dollam_bodyarmor2);
		}
		{
			mod.dollam_bodyarmor3	= new ItemDollAttachment().setUnlocalizedName("dollam_bodyarmor3").setMaxStackSize(64)
					.setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_bodyarmor3");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_bodyarmor3;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 81;
				am.doll_armor = 8;
			}
			event.getRegistry().register(mod.dollam_bodyarmor3);
		}
		
		{
			mod.dollam_class_assalt	= new ItemDollAttachment().setUnlocalizedName("dollam_class_assalt").setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_class_assalt");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_class_assalt;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 200;
			}
			event.getRegistry().register(mod.dollam_class_assalt);
		}
		{
			mod.dollam_class_medic	= new ItemDollAttachment().setUnlocalizedName("dollam_class_medic").setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_class_medic");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_class_medic;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 200;
			}
			event.getRegistry().register(mod.dollam_class_medic);
		}
		{
			mod.dollam_class_support	= new ItemDollAttachment().setUnlocalizedName("dollam_class_support").setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_class_support");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_class_support;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 200;
			}
			event.getRegistry().register(mod.dollam_class_support);
		}
		{
			mod.dollam_class_scout	= new ItemDollAttachment().setUnlocalizedName("dollam_class_scout").setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_class_scout");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_class_scout;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 200;
			}
			event.getRegistry().register(mod.dollam_class_scout);
		}
		{
			mod.dollam_class_torcher	= new ItemDollAttachment().setUnlocalizedName("dollam_class_torcher").setCreativeTab(mod.tabgg_am)
	        		.setRegistryName(mod.MOD_ID, "dollam_class_torcher");
			{
				ItemDollAttachment am = (ItemDollAttachment) mod.dollam_class_torcher;
				if (mod.proxy.getClient()) {
		    		
		    	}
				am.id = 200;
			}
			event.getRegistry().register(mod.dollam_class_torcher);
		}
	}
}